#Region " Autodesk Copyright "
'      .NET Sample
'
'      Copyright (c) 2008 by Autodesk, Inc.
'
'      Permission to use, copy, modify, and distribute this software
'      for any purpose and without fee is hereby granted, provided
'      that the above copyright notice appears in all copies and
'      that both that copyright notice and the limited warranty and
'      restricted rights notice below appear in all supporting
'      documentation.
'
'      AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
'      AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
'      MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
'      DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
'      UNINTERRUPTED OR ERROR FREE.
'
'      Use, duplication, or disclosure by the U.S. Government is subject to
'      restrictions set forth in FAR 52.227-19 (Commercial Computer
'      Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
'      (Rights in Technical Data and Computer Software), as applicable.
'
#End Region

#Region "Namespaces References"
Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Diagnostics
Imports System.Windows.Forms
Imports System.Runtime.InteropServices
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.Geometry
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.Aec.Building.ApplicationServices
Imports Autodesk.Aec.Building.DatabaseServices
Imports AcadApplication = Autodesk.AutoCAD.ApplicationServices.Application
#End Region

<Assembly: Autodesk.AutoCAD.Runtime.CommandClass(GetType(CatalogExplorer.CmdCatalogExplorer))> 

Namespace CatalogExplorer

    Public Class CmdCatalogExplorer

#Region " CatalogExplorer Command"

        ' Simple sample to demonstrate how browse the MEP catalog
        '
        <Autodesk.AutoCAD.Runtime.CommandMethod("CatalogExplorer", "CatalogExplorer", Autodesk.AutoCAD.Runtime.CommandFlags.Modal)> _
        Public Sub CmdCatalogExplorer()
            Try
                Dim cat As CatalogManager
                cat = New CatalogManager
                'Dim dlg As New Dialog1
                Dim dlg As New CatalogExplorer.CatalogExplorerDlg
                AcadApplication.ShowModalDialog(dlg)
            Catch e As System.Exception
                Debug.WriteLine(e.Message)
            Finally
            End Try
        End Sub

#End Region

    End Class

End Namespace

